Bug 965176 - repos do not have 'listing' file
repos do not have 'listing' file
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Petr Chalupa
Corey Welton
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2013-05-20 11:44 EDT by Tom McKay
Modified: 2015-05-04 21:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-07-02 10:08:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tom McKay 2013-05-20 11:44:12 EDT
The CDN has 'listing' files which katello uses to allow repo enabling. When a subscription is added to a distributor and that manifest is imported into another katello org, the pulp repo must have a 'listing' file in order to allow repos to be enabled.

These listing files need to be created somehow in pulp.

To reproduce:
1. import Red Hat manifest for RHEL into katello
2. enable a repo, sync content, create a CV with that repo
3. create a distributor
4. attach subscription covering above repo
5. export manifest
6. import manifest into second org in same katello
7. set CDN url in katello to point to https://localhost/pulp/repos/<org 1>/<environment>/<content view>/
8. go to enable repos page and note unable to drill down to repos due to missing listing file
Comment 1 Mike McCune 2013-05-29 18:32:35 EDT
useful when we start to support inter-satellite-sync
Comment 3 Mike McCune 2013-10-09 09:41:54 EDT
the listing files are now currently produced by pulp and exist in all the directories in the tree under http(s)://example.com/pulp/repos/*
Comment 4 Mike McCune 2013-10-17 16:59:31 EDT
Moving this to be tested during MDP3, not critical for MDP2 success story
Comment 7 Corey Welton 2014-05-19 14:53:52 EDT
QA Verified in Satellite-6.0.3-RHEL-6-20140508.1
Comment 8 Bryan Kearney 2014-07-02 10:08:40 EDT
This was delivered with 6.0.3, which is the Satellite 6 Beta.
Comment 9 Bryan Kearney 2014-07-02 10:10:01 EDT
This was delivered in 6.0.3, the Beta version of Satellite 6.0

Note You need to log in before you can comment on or make changes to this bug.